Vincent is here! Just say the word, and Vincent will build the campaigns for you! Get early access.
curl --request POST \
--url https://{cluster}.voucherify.io/v1/customers/{customerId}/permanent-deletion \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"id": "del_7k3buMvBsJuXiLRmdh1WZvZs",
"created_at": "2022-09-02T17:50:29.302Z",
"related_object_id": "cust_XI8sPLvznzVpNI1BMIWGcUJa",
"related_object": "customer",
"status": "DONE",
"data_json": {
"events": 16,
"customer_events": 28,
"daily_events": 0,
"segments": 0,
"orders": 9,
"order_events": 5,
"customer": 1
},
"object": "pernament_deletion"
}The organization user can remove consumer data permanently from the Voucherify system by using this API method. It deletes all customer data and connected resources. It makes the customer profile forgotten by Voucherify.
curl --request POST \
--url https://{cluster}.voucherify.io/v1/customers/{customerId}/permanent-deletion \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"id": "del_7k3buMvBsJuXiLRmdh1WZvZs",
"created_at": "2022-09-02T17:50:29.302Z",
"related_object_id": "cust_XI8sPLvznzVpNI1BMIWGcUJa",
"related_object": "customer",
"status": "DONE",
"data_json": {
"events": 16,
"customer_events": 28,
"daily_events": 0,
"segments": 0,
"orders": 9,
"order_events": 5,
"customer": 1
},
"object": "pernament_deletion"
}Documentation Index
Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
Use this file to discover all available pages before exploring further.
A Voucherify customer's id or source_id.
"cust_nk0N1uNQ1YnupAoJGOgvsODC"
Returns a permanent deletion object and status of the deletion.
Response body schema for POST v1/customers/{customerId}/permanent-deletion.
Unique permanent deletion object ID.
"del_mgzqZNwUnwnt1Ddw6phEG90Q"
Timestamp representing the date and time when the customer was requested to be deleted in ISO 8601 format.
"2022-09-02T17:55:47.865Z"
Unique customer ID that is being deleted.
"cust_m557pDDl4IGXexkU6KOQ2Dwi"
Object being deleted.
Deletion status.
Statistics summarizing the number of related information that was deleted.
Show child attributes
The type of the object represented by JSON.
Was this page helpful?